Update mDoc status
Roles
Analytics Events
/v2/credentials/mobile/{credentialId}/statusSets the status of an existing mDoc by providing its credentialId and the new status.
Available status values depend on the Status List configuration format:
Draft 14 of the IETF Token Status List specification (1-bit encoding):
- valid - Credential is valid
- invalid - Credential is invalid (cannot be reversed)
Deprecated Legacy format (2-bit encoding):
- valid - Credential is valid
- invalid - Credential is invalid (cannot be reversed)
- suspended - Credential is temporarily suspended
The suspended status is deprecated and only available in legacy format.
Analytic events
- MOBILE_CREDENTIAL_STATUS_SET_START
- MOBILE_CREDENTIAL_STATUS_SET_SUCCESS
- MOBILE_CREDENTIAL_STATUS_SET_FAIL
Authorization
bearerAuth In: header
Path Parameters
mDoc identifier
uuidRequest Body
application/json
Credential status payload
Response Body
application/json
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/credentials/mobile/3948c40e-6e19-4ffc-933c-91f643f24264/status" \ -H "Content-Type: application/json" \ -d '{ "status": "valid" }'{
"status": "valid"
}{
"code": "BadRequest",
"message": "Validation Error",
"details": [
{
"location": "params",
"msg": "Invalid value",
"param": "credentialId",
"value": "abc"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Status list distribution GET
Retrieves an object that details all existing Status lists tokens on the tenant. This public endpoint allows a relying party to consume and cache status lists. Each list in the response includes a URL where its token can be retrieved. Status list tokens that were signed by expired IACAs are excluded from the response. This endpoint is intended for public consumption, and as such does not require authentication. **Response Format Differences**: The response structure depends on the Status List configuration format: **Draft 14 of the IETF Token Status List specification**: `{"status_lists": ["https://..."]}` **Legacy format**: `{"status_lists": [{"uri": "https://..."}]}` ### **Analytic events** * MOBILE_CREDENTIAL_STATUS_LIST_DISTRIBUTION_START * MOBILE_CREDENTIAL_STATUS_LIST_DISTRIBUTION_SUCCESS * MOBILE_CREDENTIAL_STATUS_LIST_DISTRIBUTION_FAIL
Retrieve mDoc status GET
Retrieves the status of an existing mDoc by providing its `credentialId`. ### **Analytic events** * MOBILE_CREDENTIAL_STATUS_RETRIEVE_START * MOBILE_CREDENTIAL_STATUS_RETRIEVE_SUCCESS * MOBILE_CREDENTIAL_STATUS_RETRIEVE_FAIL